org.apache.poi.hslf.usermodel

## Class HSLFPlaceholder

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFShape
  - - org.apache.poi.hslf.usermodel.HSLFSimpleShape
    - - org.apache.poi.hslf.usermodel.HSLFTextShape
      - - org.apache.poi.hslf.usermodel.HSLFTextBox
        - - org.apache.poi.hslf.usermodel.HSLFPlaceholder

- All Implemented Interfaces:
    java.lang.Iterable<HSLFTextParagraph>, IAdjustableShape, AutoShape<HSLFShape,HSLFTextParagraph>, PlaceableShape<HSLFShape,HSLFTextParagraph>, Shape<HSLFShape,HSLFTextParagraph>, SimpleShape<HSLFShape,HSLFTextParagraph>, TextBox<HSLFShape,HSLFTextParagraph>, TextShape<HSLFShape,HSLFTextParagraph>

      public final class HSLFPlaceholder
      extends HSLFTextBox

  Represents a Placeholder in PowerPoint.
  Author:
    Yegor Kozlov

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.usermodel.TextShape

      `TextShape.TextAutofit, TextShape.TextDirection, TextShape.TextPlaceholder`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.usermodel.HSLFTextShape

      `WrapByPoints, WrapNone, WrapSquare, WrapThrough, WrapTopBottom`

    - ### Fields inherited from class org.apache.poi.hslf.usermodel.HSLFSimpleShape

      `_hyperlink, ADJUST_VALUES, DEFAULT_LINE_WIDTH`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `HSLFPlaceholder()`
    `protected` | `HSLFPlaceholder(EscherContainerRecord escherRecord, ShapeContainer<HSLFShape,HSLFTextParagraph> parent)`
    `` | `HSLFPlaceholder(ShapeContainer<HSLFShape,HSLFTextParagraph> parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EscherContainerRecord` | `createSpContainer(boolean isChild)` Create a new Placeholder and initialize internal structures

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFTextBox

      `setDefaultTextProperties`

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFTextShape

      `afterInsert, appendText, getBottomInset, getEscherTextboxWrapper, getHFPlaceholderAtom, getHyperlinks, getInsets, getLeftInset, getMetroShape, getPlaceholderAtom, getRawText, getRightInset, getRunType, getText, getTextDirection, getTextHeight, getTextHeight, getTextId, getTextParagraphs, getTextPlaceholder, getTextRotation, getTopInset, getVerticalAlignment, getWordWrap, getWordWrapEx, isAlignToBaseline, isHorizontalCentered, isPlaceholder, iterator, resizeToFitText, resizeToFitText, setAlignToBaseline, setBottomInset, setHorizontalCentered, setInsets, setLeftInset, setRightInset, setRunType, setSheet, setText, setTextDirection, setTextId, setTextPlaceholder, setTextRotation, setTopInset, setVerticalAlignment, setWordWrap, setWordWrapEx, storeText`

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFSimpleShape

      `createHyperlink, getAdjustValue, getFillColor, getGeometry, getHyperlink, getLineBackgroundColor, getLineCap, getLineColor, getLineCompound, getLineDash, getLineDecoration, getLineHeadDecoration, getLineHeadLength, getLineHeadWidth, getLineTailDecoration, getLineTailLength, getLineTailWidth, getLineWidth, getPlaceholder, getPlaceholderDetails, getShadow, getShadowAngle, getShadowColor, getShadowDistance, getStrokeStyle, setFillColor, setHyperlink, setLineBackgroundColor, setLineCap, setLineColor, setLineCompound, setLineDash, setLineHeadDecoration, setLineHeadLength, setLineHeadWidth, setLineTailDecoration, setLineTailLength, setLineTailWidth, setLineWidth, setPlaceholder, setStrokeStyle`

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFShape

      `draw, getAnchor, getClientData, getClientDataRecord, getClientRecords, getEscherChild, getEscherChild, getEscherChild, getEscherChild, getEscherOptRecord, getEscherProperty, getEscherProperty, getEscherProperty, getEscherProperty, getEscherProperty, getEscherProperty, getFill, getFillStyle, getFlipHorizontal, getFlipVertical, getParent, getRotation, getShapeId, getShapeName, getShapeType, getSheet, getSpContainer, moveTo, setAnchor, setEscherProperty, setEscherProperty, setEscherProperty, setEscherProperty, setEscherProperty, setFlipHorizontal, setFlipVertical, setRotation, setShapeId, setShapeType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.TextShape

      `appendText, getInsets, getText, getTextDirection, getTextHeight, getTextHeight, getTextParagraphs, getTextPlaceholder, getTextRotation, getVerticalAlignment, getWordWrap, isHorizontalCentered, resizeToFitText, resizeToFitText, setHorizontalCentered, setInsets, setText, setTextDirection, setTextPlaceholder, setTextRotation, setVerticalAlignment, setWordWrap`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.SimpleShape

      `createHyperlink, getFillColor, getFillStyle, getGeometry, getHyperlink, getLineDecoration, getPlaceholder, getPlaceholderDetails, getShadow, getShapeType, getStrokeStyle, isPlaceholder, setFillColor, setPlaceholder, setShapeType, setStrokeStyle`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Shape

      `draw, getAnchor, getParent, getShapeId, getShapeName, getSheet`

    - ### Methods inherited from interface org.apache.poi.sl.draw.geom.IAdjustableShape

      `getAdjustValue`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.PlaceableShape

      `getAnchor, getFlipHorizontal, getFlipVertical, getParent, getRotation, getSheet, setAnchor, setFlipHorizontal, setFlipVertical, setRotation`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Constructor Detail

    - #### HSLFPlaceholder

          protected HSLFPlaceholder(EscherContainerRecord escherRecord,
                                    ShapeContainer<HSLFShape,HSLFTextParagraph> parent)

    - #### HSLFPlaceholder

          public HSLFPlaceholder(ShapeContainer<HSLFShape,HSLFTextParagraph> parent)

    - #### HSLFPlaceholder

          public HSLFPlaceholder()

  - ### Method Detail

    - #### createSpContainer

          protected EscherContainerRecord createSpContainer(boolean isChild)

      Create a new Placeholder and initialize internal structures
      Overrides:
        `createSpContainer` in class `HSLFTextBox`
      Parameters:
        `isChild` - `true` if the Line is inside a group, `false` otherwise
      Returns:
        the created `EscherContainerRecord` which holds shape data

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.